/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package insurancecompany

import (
	e "simrs-vx/internal/domain/main-entities/insurance-company"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.InsuranceCompany) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = *inputSrc.Code
	data.Name = inputSrc.Name
	data.Regency_Code = inputSrc.Regency_Code
	data.Address = inputSrc.Address
	data.PhoneNumber = inputSrc.PhoneNumber
}
